org.eclipse.handly.ui.quickoutline

## Class EditorOutlinePopupHost

- java.lang.Object
- - org.eclipse.handly.ui.quickoutline.EditorOutlinePopupHost

- All Implemented Interfaces:
    IOutlinePopupHost

      public class EditorOutlinePopupHost
      extends java.lang.Object
      implements IOutlinePopupHost

  An editor-based outline popup host.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EditorOutlinePopupHost(org.eclipse.ui.IEditorPart editor)` Creates an outline popup host based on the given editor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.swt.widgets.Control` | `getControl()` Returns the SWT control for this host, or `null` if the control is no longer available or has yet to be created.
    `org.eclipse.ui.IEditorPart` | `getEditor()` Returns the editor underlying this host.
    `org.eclipse.ui.IEditorInput` | `getEditorInput()` Returns the editor input for this host, or `null` if none.
    `org.eclipse.jface.viewers.ISelectionProvider` | `getSelectionProvider()` Returns the selection provider of this host.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EditorOutlinePopupHost

          public EditorOutlinePopupHost(org.eclipse.ui.IEditorPart editor)

      Creates an outline popup host based on the given editor.
      Parameters:
        `editor` - not `null`

  - ### Method Detail

    - #### getEditor

          public org.eclipse.ui.IEditorPart getEditor()

      Returns the editor underlying this host.
      Returns:
        the underlying editor (never `null`)

    - #### getControl

          public org.eclipse.swt.widgets.Control getControl()

      Description copied from interface: `IOutlinePopupHost`
      Returns the SWT control for this host, or `null` if the control is no longer available or has yet to be created.
      Specified by:
        `getControl` in interface `IOutlinePopupHost`
      Returns:
        the SWT control or `null`

    - #### getSelectionProvider

          public org.eclipse.jface.viewers.ISelectionProvider getSelectionProvider()

      Description copied from interface: `IOutlinePopupHost`
      Returns the selection provider of this host.
      Specified by:
        `getSelectionProvider` in interface `IOutlinePopupHost`
      Returns:
        the selection provider (never `null`)

    - #### getEditorInput

          public org.eclipse.ui.IEditorInput getEditorInput()

      Description copied from interface: `IOutlinePopupHost`
      Returns the editor input for this host, or `null` if none.
      Specified by:
        `getEditorInput` in interface `IOutlinePopupHost`
      Returns:
        the editor input or `null`

Copyright (c) 2014, 2020 1C-Soft LLC and others. Made available under the Eclipse Public License 2.0